package com.miaxis.question.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import com.miaxis.question.dto.QuestionCollectionDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.question.mapper.QuestionCollectionMapper;
import com.miaxis.question.domain.QuestionCollection;
import com.miaxis.question.service.IQuestionCollectionService;

/**
 * collectionService业务层处理
 *
 * @author miaxis
 * @date 2021-08-18
 */
@Service
public class QuestionCollectionServiceImpl extends ServiceImpl<QuestionCollectionMapper, QuestionCollection> implements IQuestionCollectionService {
    @Autowired
    private QuestionCollectionMapper questionCollectionMapper;

    /**
     * 查询collection列表
     *
     * @param questionCollection collection
     * @return collection
     */
    @Override
    public List<QuestionCollection> selectQuestionCollectionList(QuestionCollection questionCollection){
        return questionCollectionMapper.selectQuestionCollectionList(questionCollection);
    }

}
