package com.miaxis.question.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.question.domain.QuestionVersion;
import com.miaxis.question.mapper.QuestionVersionMapper;
import com.miaxis.question.service.IQuestionVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * versionService业务层处理
 *
 * @author zhangbin
 * @date 2021-07-26
 */
@Service
public class QuestionVersionServiceImpl extends ServiceImpl<QuestionVersionMapper, QuestionVersion> implements IQuestionVersionService {
    @Autowired
    private QuestionVersionMapper questionVersionMapper;

    /**
     * 查询version列表
     *
     * @param questionVersion version
     * @return version
     */
    @Override
    public List<QuestionVersion> selectQuestionVersionList(QuestionVersion questionVersion){
        return questionVersionMapper.selectQuestionVersionList(questionVersion);
    }
}
